> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ads Detail

> Get Ads Detail



## OpenAPI

````yaml /api-reference/openapi.json get /api/trending/ads/detail
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/trending/ads/detail:
    get:
      tags:
        - Trending
      summary: Get Ads Detail
      description: Get Ads Detail
      operationId: getApiTrendingAdsDetail
      parameters:
        - in: query
          name: ads_id
          schema:
            type: string
            pattern: ^\d+$
            description: Ads ID
            example: '7169172119488577537'
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      ad_title:
                        type: string
                        description: ''
                        example: Hurry up! 40%OFF TODAY
                      brand_name:
                        type: string
                        description: ''
                        example: light'f ™️
                      comment:
                        type: number
                        description: ''
                        example: 491
                      cost:
                        type: number
                        description: ''
                        example: 2
                      country_code:
                        type: array
                        items:
                          type: string
                        description: ''
                        example:
                          - US
                          - CA
                          - ES
                          - CZ
                          - 'NO'
                          - Pl
                          - IE
                      ctr:
                        type: number
                        description: ''
                        example: 0.07
                      favorite:
                        type: boolean
                        description: ''
                        example: false
                      has_summary:
                        type: boolean
                        description: ''
                        example: true
                      highlight_text:
                        type: string
                        description: ''
                        example: ''
                      id:
                        type: string
                        description: ''
                        example: '7169172119488577537'
                      industry_key:
                        type: string
                        description: ''
                        example: label_21102000000
                      is_search:
                        type: boolean
                        description: ''
                        example: false
                      keyword_list:
                        type: array
                        items:
                          type: string
                        description: ''
                        example:
                          - rain humidifier diffuser
                          - anxiety and insomnia
                          - this has effectively overcome insomnia
                          - get your now selling fast
                          - limited time offer ending today
                      landing_page:
                        type: string
                        description: ''
                        example: >-
                          https://scosy.store/products/lightf-raining-night-diffuser
                      like:
                        type: number
                        description: ''
                        example: 342846
                      objective_key:
                        type: string
                        description: ''
                        example: campaign_objective_conversion
                      objectives:
                        type: array
                        items:
                          type: object
                          properties:
                            label:
                              type: string
                              description: ''
                              example: campaign_objective_conversion
                            value:
                              type: number
                              description: ''
                              example: 3
                      pattern_label:
                        type: array
                        items:
                          type: string
                        description: ''
                        example: []
                      share:
                        type: number
                        description: ''
                        example: 16395
                      source:
                        type: string
                        description: ''
                        example: TikTok Ads Manager
                      source_key:
                        type: number
                        description: ''
                        example: 1
                      tag:
                        type: number
                        description: ''
                        example: 3
                      video_info:
                        type: object
                        properties:
                          vid:
                            type: string
                            description: ''
                            example: v10033g50000d2k6t07og65kn3s9joeg
                          duration:
                            type: number
                            description: ''
                            example: 45.3
                          cover:
                            type: string
                            description: ''
                            example: >-
                              https://p16-sign-sg.tiktokcdn.com/tos-alisg-p-0051c001-sg/ocGQSgdBQCzUEIIRQeb3GpSDJ0f6NAwfB4AQLR~tplv-noop.image?dr=18692&refresh_token=5ce92a80&x-expires=1765825729&x-signature=7aK%2Fsq52VCl3%2FudAH98l3Ekbyb4%3D&t=9276707c&ps=14f1eb3e&shp=9e36835a&shcp=317596d8&idc=my
                          video_url:
                            type: object
                            properties:
                              720p:
                                type: string
                                description: ''
                                example: >-
                                  https://v16m-default.tiktokcdn.com/8b4cc8c593174434cd367fd6d9582ada/69405cc1/video/tos/alisg/tos-alisg-ve-0051c001-sg/okqGXQ0MAhRCJ0nW8XRbDAAlgxqefUR3NB3aeg/?a=0&bti=NTU4QDM1NGA%3D&ch=0&cr=0&dr=0&lr=tiktok_business&cd=0%7C0%7C1%7C0&cv=1&br=1570&bt=785&cs=0&ds=3&ft=cApXJCz7ThWHrs0-1GZmo0P&mime_type=video_mp4&qs=0&rc=ZDs2aDs6N2loZThlPDU7O0BpanI8Nm45cjM5NTMzODYzNEBiLjBhXzI1XjUxNi9jMF9hYSNiZ3BrMmQ0cWhhLS1kMC1zcw%3D%3D&vvpl=1&l=20251215210804481E21104311144D334E&btag=e00088000
                          width:
                            type: number
                            description: ''
                            example: 576
                          height:
                            type: number
                            description: ''
                            example: 1024
                      voice_over:
                        type: boolean
                        description: ''
                        example: true
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````